=== debian/changelog ===
kdepimlibs (4:4.10.0-0ubuntu1) raring-proposed; urgency=low

  * New upstream release

 -- Rohan Garg <rohangarg@kubuntu.org>  Wed, 06 Feb 2013 11:50:06 +0000

kdepimlibs (4:4.9.98-0ubuntu1) raring-proposed; urgency=low

  * New upstream release candidate

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 18 Jan 2013 15:30:41 +0000

kdepimlibs (4:4.9.97-0ubuntu2) raring; urgency=low

  * Make sure kdepimlibs5-dev pulls in nepomuk-core-dev

 -- Rohan Garg <rohangarg@kubuntu.org>  Thu, 10 Jan 2013 17:33:09 +0530

kdepimlibs (4:4.9.97-0ubuntu1) raring; urgency=low

  * New upstream release candidate

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 03 Jan 2013 22:19:18 +0100

kdepimlibs (4:4.9.95-0ubuntu1) raring; urgency=low

  [ Philip Muškovac ]
  * Bump libakonadi-dev build-dep to >= 1.8.51
  * Add Build-dep on libx11-dev

  [ Jonathan Riddell ]
  * New upstream RC release
  * Add build-dep on nepomuk-core-dev
  * Update kdepimlibs5-dev.install

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 18 Dec 2012 23:09:08 +0000

kdepimlibs (4:4.9.90-0ubuntu1) raring-proposed; urgency=low

  * New upstream beta release
  * Remove dont_break_libkabc_abi.diff now upstream
  * Update kdepimlibs5-dev.install file

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 07 Dec 2012 17:50:00 +0000

kdepimlibs (4:4.9.80-0ubuntu1) raring; urgency=low

  [ Jonathan Riddell ]
  * New upstream beta release
  * Remove 03_hide_akonadi_progressbar.diff now upstream
  * Update .symbols file

  [ Scott Kitterman ]
  * Add libqjson-dev to build-depends since it is required for 4.10
  * Update symbols files
  * Drop FindAkonadi.cmake from debian/kdepimlibs5-dev.install since it is no
    longer provided by upstream
  * Add FindQtOAuth.cmake to debian/kdepimlibs5-dev.install
  * Document files we don't install in debian/NOT-INSTALLED
  * Add new binary, libakonadi-socialutils4
    - Add to debian/control
    - Add to kdepimlibs metapackage depends
    - Add debian/libakonadi-socialutils4.install
    - Add debian/libakonadi-socialutils4.symbols 
  * Update kdepimlibs5-dev.install for new headers for 4.10
  * Add googletalkprotocol.desktop to debian/libakonadi-contact4.install
  * Add missing symbols files for libakonadi-notes4 and libkalarmcal2
  * Add dont_break_libkabc_abi.diff to fix ABI break - patch from José Manuel
    Santamaría Lema

 -- Scott Kitterman <scott@kitterman.com>  Mon, 19 Nov 2012 17:32:30 -0500

kdepimlibs (4:4.9.3-0ubuntu1) raring; urgency=low

  * New upstream release (LP: #1074747)
    - build-depend on libakonadi-dev (>= 1.8.1)
    - add new symbols to libakonadi-kde4.symbols

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 06 Nov 2012 22:34:01 +0100

kdepimlibs (4:4.8.3-0r1) raring; urgency=low

  * New upstream release.

  [ Eshat Cakar ]
  * Add myself to uploaders.
  * Add libakonadi-notes4 and libkalarmcal2 packages.
  * Update installed files.
  * Remove kio_imap_append.diff, applied upstream.
  * Bump kdelibs5-dev version to 4.8.

  [ José Manuel Santamaría Lema ]
  * Bump kde-sc-dev-latest build dependency to 4:4.8.3.
  * Bump Standards-Version to 3.9.3, no changes needed.
  * Update symbols files.
  * Add symbols files for libakonadi-notes4 and libkalarmcal2.

  [ Modestas Vainius ]
  * Drop upstream_Disambiguations-necessary-for-building-with-clang.patch, was
    backported from upstream.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Thu, 08 Mar 2012 21:16:23 +0100

kdepimlibs (4:4.7.2-0r1) raring; urgency=low

  * New upstream release.

  [ José Manuel Santamaría Lema ]
  * Bump kde-sc-dev-latest build dependency to 4:4.7.2.
  * Bump build dependency on kdelibs5-dev to version 4:4.7.
  * Bump build dependency on libakonadi-dev to version 1.5.52.
  * Add libprison-dev to Build-Depends.
  * Update installed files.
  * Update symbols files.
  * Exclude kde-runtime from dh_shlibdeps results.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Tue, 09 Aug 2011 16:43:40 +0200

kdepimlibs (4:4.6.0-0ubuntu2) raring; urgency=low

  * Update kde-sc-dev-latest version

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 26 Jan 2011 11:40:31 +0000

kdepimlibs (4:4.5.1-0r1) raring; urgency=low

  * New upstream release.

  [ Modestas Vainius ]
  * Point debian/control Vcs fields to the new Git repository.

  [ George Kiagiadakis ]
  * Change my email address in uploaders.
  * Refresh patch 03_hide_akonadi_progressbar.diff.
  * Remove patch 01_hurd_support.diff, no longer needed.
  * Remove patch 02_increase_fail_timeout.diff, no longer needed.
  * Update installed files.
  * Update symbol files.
  * Bump build dependency on kdelibs5-dev to version 4:4.5.
  * Bump build dependency on libakonadi-dev to version 1.3.80.
  * Add build dependencies on shared-desktop-ontologies and libsoprano-dev.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sun, 01 Aug 2010 10:41:56 +0300

kdepimlibs (4:4.1.80-0ubuntu2) raring; urgency=low

  [ Harald Sitter ]
  * Change Vcs-Browser to Launchpad and replace Vcs-Svn with Vcs-Bzr

  [ Jonathan Thomas ]
  * Add conflict/replace on akonadi-kde (<< 4:4.1.80~) to kdepimlibs5, an
    akonadi .so moved to kdepimlibs5 in KDE 4.1.80

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Thu, 04 Dec 2008 08:36:52 -0500
