## kdepimlibs 4.10.2

=== debian/changelog ===
kdepimlibs (4:4.10.2-0ubuntu1) raring; urgency=low

  [ Philip Muškovac ]
  * New upstream bugfix release

  [ Jonathan Riddell ]
  * Update symbols

 -- Philip Muškovac <yofel@kubuntu.org>  Sun, 31 Mar 2013 14:30:38 +0200

kdepimlibs (4:4.10.1-0ubuntu1) raring-proposed; urgency=low

  * New upstream bugfix release
    - add new symbols to libmailtransport4.symbols and
      libakonadi-contact4.symbols
    - drop an optional symbol from libakonadi-kde4.symbols
  * Move kdepimlibs5 transitional package to oldlibs/extra to make lintian
    happy

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 05 Mar 2013 15:42:10 +0000
