=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
  José Manuel Santamaría Lema <panfaust@gmail.com>, Eshat Cakar <info@eshat.de>
 Build-Depends:
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12), dpkg-dev (>= 1.15.5),
- kdelibs5-dev (>= 4:4.10.0), libgpgme11-dev, libldap2-dev, libsasl2-dev,
+ kdelibs5-dev (>= 4:4.10.2), libgpgme11-dev, libldap2-dev, libsasl2-dev,
  libboost1.49-dev, libboost-graph1.49-dev, shared-mime-info,
  libakonadi-dev (>= 1.8.51), libical-dev (>= 0.42),
  shared-desktop-ontologies (>= 0.8), libsoprano-dev, xsltproc, uuid-dev,
@@ -22,7 +22,8 @@
 X-Debian-Vcs-Git: git://git.debian.org/pkg-kde/kde-sc/kdepimlibs.git
 
 Package: kdepimlibs5
-Section: libs
+Section: oldlibs
+Priority: extra
 Architecture: any
 Depends: ${misc:Depends}, kdepimlibs-kio-plugins (= ${binary:Version}),
  libakonadi-kabc4 (= ${binary:Version}), libakonadi-kde4 (= ${binary:Version}),
@@ -285,5 +286,3 @@
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: library providing calendar helpers for Akonadi items
  This library offers helper functions for integrate the use of Akonadi calendar
- items in applications.
- .
